]> arthur.barton.de Git - bup.git/commitdiff
ls-cmd: copy to bup.cmd.ls
authorRob Browning <rlb@defaultvalue.org>
Sat, 6 Feb 2021 18:52:35 +0000 (12:52 -0600)
committerRob Browning <rlb@defaultvalue.org>
Sat, 6 Mar 2021 18:29:38 +0000 (12:29 -0600)
Signed-off-by: Rob Browning <rlb@defaultvalue.org>
lib/bup/cmd/ls.py [new file with mode: 0755]
lib/cmd/ls-cmd.py [deleted file]

diff --git a/lib/bup/cmd/ls.py b/lib/bup/cmd/ls.py
new file mode 100755 (executable)
index 0000000..af70e07
--- /dev/null
@@ -0,0 +1,33 @@
+#!/bin/sh
+"""": # -*-python-*-
+# https://sourceware.org/bugzilla/show_bug.cgi?id=26034
+export "BUP_ARGV_0"="$0"
+arg_i=1
+for arg in "$@"; do
+    export "BUP_ARGV_${arg_i}"="$arg"
+    shift
+    arg_i=$((arg_i + 1))
+done
+# Here to end of preamble replaced during install
+bup_python="$(dirname "$0")/../../../config/bin/python" || exit $?
+exec "$bup_python" "$0"
+"""
+# end of bup preamble
+
+from __future__ import absolute_import
+
+# Intentionally replace the dirname "$0" that python prepends
+import os, sys
+sys.path[0] = os.path.dirname(os.path.realpath(__file__)) + '/../..'
+
+from bup import compat, git, ls
+from bup.io import byte_stream
+
+
+git.check_repo_or_die()
+
+sys.stdout.flush()
+out = byte_stream(sys.stdout)
+# Check out lib/bup/ls.py for the opt spec
+rc = ls.via_cmdline(compat.argv[1:], out=out)
+sys.exit(rc)
diff --git a/lib/cmd/ls-cmd.py b/lib/cmd/ls-cmd.py
deleted file mode 100755 (executable)
index ffbb2ef..0000000
+++ /dev/null
@@ -1,33 +0,0 @@
-#!/bin/sh
-"""": # -*-python-*-
-# https://sourceware.org/bugzilla/show_bug.cgi?id=26034
-export "BUP_ARGV_0"="$0"
-arg_i=1
-for arg in "$@"; do
-    export "BUP_ARGV_${arg_i}"="$arg"
-    shift
-    arg_i=$((arg_i + 1))
-done
-# Here to end of preamble replaced during install
-bup_python="$(dirname "$0")/../../config/bin/python" || exit $?
-exec "$bup_python" "$0"
-"""
-# end of bup preamble
-
-from __future__ import absolute_import
-
-# Intentionally replace the dirname "$0" that python prepends
-import os, sys
-sys.path[0] = os.path.dirname(os.path.realpath(__file__)) + '/..'
-
-from bup import compat, git, ls
-from bup.io import byte_stream
-
-
-git.check_repo_or_die()
-
-sys.stdout.flush()
-out = byte_stream(sys.stdout)
-# Check out lib/bup/ls.py for the opt spec
-rc = ls.via_cmdline(compat.argv[1:], out=out)
-sys.exit(rc)